PipeWire: pw_port_events Struct Reference

PipeWire 0.1.9

Data Fields
pw_port_events Struct Reference

Port events, use pw_port_add_listener. More...

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| The port is destroyed. More...
void(* | free )(void *data)
| The port is freed. More...
void(* | info_changed )(void *data, struct pw_port_info *info)
| the port info changed More...
void(* | link_added )(void *data, struct pw_link *link)
| a new link is added on this port More...
void(* | link_removed )(void *data, struct pw_link *link)
| a link is removed from this port More...
void(* | state_changed )(void *data, enum pw_port_state state)
| the state of the port changed More...
void(* | control_added )(void *data, struct pw_control *control)
| a control was added to the port More...
void(* | control_removed )(void *data, struct pw_control *control)
| a control was removed from the port More...

## Detailed Description

Port events, use pw_port_add_listener.

## Field Documentation

## ◆ control_added

void(* pw_port_events::control_added) (void *data, struct pw_control *control)

a control was added to the port

## ◆ control_removed

void(* pw_port_events::control_removed) (void *data, struct pw_control *control)

a control was removed from the port

## ◆ destroy

void(* pw_port_events::destroy) (void *data)

The port is destroyed.

## ◆ free

void(* pw_port_events::free) (void *data)

The port is freed.

## ◆ info_changed

void(* pw_port_events::info_changed) (void *data, struct pw_port_info *info)

the port info changed

## ◆ link_added

void(* pw_port_events::link_added) (void *data, struct pw_link *link)

a new link is added on this port

## ◆ link_removed

void(* pw_port_events::link_removed) (void *data, struct pw_link *link)

a link is removed from this port

## ◆ state_changed

void(* pw_port_events::state_changed) (void *data, enum pw_port_state state)

the state of the port changed

## ◆ version

uint32_t pw_port_events::version

The documentation for this struct was generated from the following file:

- port.h